Bug 21307 - Switch two-column templates to Bootstrap grid: Cataloging
Summary: Switch two-column templates to Bootstrap grid: Cataloging
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-08-31 18:23 UTC by Owen Leonard
Modified: 2019-04-26 14:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 21307: Switch two-column templates to Bootstrap grid: Cataloging (6.94 KB, patch)
2018-08-31 18:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21307: Switch two-column templates to Bootstrap grid: Cataloging (7.08 KB, patch)
2018-09-05 01:04 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 21307: Switch two-column templates to Bootstrap grid: Cataloging (6.94 KB, patch)
2019-03-05 14:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21307: (follow-up) Change the way Codemirror height is calculated (1.52 KB, patch)
2019-03-05 14:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Rancor glitch (46.55 KB, image/png)
2019-03-05 18:18 UTC, Josef Moravec
Details
Bug 21307: Switch two-column templates to Bootstrap grid: Cataloging (6.15 KB, patch)
2019-03-11 14:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21307: (follow-up) Change the way Codemirror height is calculated (1.52 KB, patch)
2019-03-11 14:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21307: (follow-up) QA fixes (2.80 KB, patch)
2019-03-11 14:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21307: Switch two-column templates to Bootstrap grid: Cataloging (6.26 KB, patch)
2019-04-14 18:32 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21307: (follow-up) Change the way Codemirror height is calculated (1.62 KB, patch)
2019-04-14 18:32 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21307: (follow-up) QA fixes (2.91 KB, patch)
2019-04-14 18:32 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21307: Switch two-column templates to Bootstrap grid: Cataloging (6.32 KB, patch)
2019-04-17 06:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21307: (follow-up) Change the way Codemirror height is calculated (1.68 KB, patch)
2019-04-17 06:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21307: (follow-up) QA fixes (2.97 KB, patch)
2019-04-17 06:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-08-31 18:23:09 UTC
There are two two-column cataloging templates which can be updated to use the Bootstrap grid.

- cataloguing\editor.tt
- cataloguing\additem.tt
Comment 1 Owen Leonard 2018-08-31 18:28:50 UTC Comment hidden (obsolete)
Comment 2 Dilan Johnpullé 2018-09-05 01:04:27 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2018-09-15 21:42:17 UTC
A scrollbar appears and the "status bar" is no longer displayed at the bottom of the screen (it is displayed but at the bottom of the page).
Comment 4 Owen Leonard 2019-03-05 14:56:55 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2019-03-05 14:56:58 UTC Comment hidden (obsolete)
Comment 6 Josef Moravec 2019-03-05 17:43:22 UTC
Comment on attachment 86085 [details] [review]
Bug 21307: Switch two-column templates to Bootstrap grid: Cataloging

Review of attachment 86085 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/additem.tt
@@ +378,5 @@
> +        </div> <!-- /.col-sm-10.col-sm-push-2 -->
> +
> +        <div class="col-sm-2 col-sm-pull-10">
> +            <aside>
> +                [% INCLUDE 'admin-menu.inc' %]

This should be deleted
Comment 7 Josef Moravec 2019-03-05 18:18:32 UTC
Created attachment 86109 [details]
Rancor glitch
Comment 8 Owen Leonard 2019-03-11 14:51:08 UTC
Created attachment 86462 [details] [review]
Bug 21307: Switch two-column templates to Bootstrap grid: Cataloging

This patch modifies two cataloging templates to use the Bootstrap grid
instead of YUI.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Cataloging -> Edit record using the advanced editor
 - Cataloging -> Edit items
Comment 9 Owen Leonard 2019-03-11 14:51:12 UTC
Created attachment 86463 [details] [review]
Bug 21307: (follow-up) Change the way Codemirror height is calculated

This follow-up changes the way the height of the Codemirror editor is
calculated. Using offset() instead of position() returns the correct
values with the changed markup.

To test, apply the patch and load the advanced MARC editor. The "status
bar" should display correctly a the bottom of the editor and there
should be no double scrollbar.
Comment 10 Owen Leonard 2019-03-11 14:51:16 UTC
Created attachment 86464 [details] [review]
Bug 21307: (follow-up) QA fixes

This patch corrects a couple of issues discovered by QA: Removed markup
copy-and-paste error; Add some CSS to help the responsive behavior of
the advanced editor controls at smaller browser widths.

To test, apply the patch and open the advanced MARC editor. Test the
appearance of the page at various browser widths. At narrower widths the
status bar and search fields should behave well.
Comment 11 Michal Denar 2019-04-14 18:32:52 UTC
Created attachment 87949 [details] [review]
Bug 21307: Switch two-column templates to Bootstrap grid: Cataloging

This patch modifies two cataloging templates to use the Bootstrap grid
instead of YUI.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Cataloging -> Edit record using the advanced editor
 - Cataloging -> Edit items

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 12 Michal Denar 2019-04-14 18:32:55 UTC
Created attachment 87950 [details] [review]
Bug 21307: (follow-up) Change the way Codemirror height is calculated

This follow-up changes the way the height of the Codemirror editor is
calculated. Using offset() instead of position() returns the correct
values with the changed markup.

To test, apply the patch and load the advanced MARC editor. The "status
bar" should display correctly a the bottom of the editor and there
should be no double scrollbar.

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 13 Michal Denar 2019-04-14 18:32:58 UTC
Created attachment 87951 [details] [review]
Bug 21307: (follow-up) QA fixes

This patch corrects a couple of issues discovered by QA: Removed markup
copy-and-paste error; Add some CSS to help the responsive behavior of
the advanced editor controls at smaller browser widths.

To test, apply the patch and open the advanced MARC editor. Test the
appearance of the page at various browser widths. At narrower widths the
status bar and search fields should behave well.

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 14 Katrin Fischer 2019-04-17 06:12:45 UTC
Created attachment 88134 [details] [review]
Bug 21307: Switch two-column templates to Bootstrap grid: Cataloging

This patch modifies two cataloging templates to use the Bootstrap grid
instead of YUI.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Cataloging -> Edit record using the advanced editor
 - Cataloging -> Edit items

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Katrin Fischer 2019-04-17 06:12:49 UTC
Created attachment 88135 [details] [review]
Bug 21307: (follow-up) Change the way Codemirror height is calculated

This follow-up changes the way the height of the Codemirror editor is
calculated. Using offset() instead of position() returns the correct
values with the changed markup.

To test, apply the patch and load the advanced MARC editor. The "status
bar" should display correctly a the bottom of the editor and there
should be no double scrollbar.

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Katrin Fischer 2019-04-17 06:12:52 UTC
Created attachment 88136 [details] [review]
Bug 21307: (follow-up) QA fixes

This patch corrects a couple of issues discovered by QA: Removed markup
copy-and-paste error; Add some CSS to help the responsive behavior of
the advanced editor controls at smaller browser widths.

To test, apply the patch and open the advanced MARC editor. Test the
appearance of the page at various browser widths. At narrower widths the
status bar and search fields should behave well.

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Nick Clemens 2019-04-19 14:53:58 UTC
Awesome work all!

Pushed to master for 19.05
Comment 18 Martin Renvoize 2019-04-26 14:31:04 UTC
Enahancement will not be backported to 18.11.x series.